<script>export let image;
</script>

<section
	class="UI-Parallax"
	style="{$$props.style}"
	style:background="url({image}) 100% 0% fixed no-repeat"
>
	<div class={'UI-Parallax__content'}>
		<slot/>
	</div>
</section>

<style>.UI-Parallax {
  height: 100%;
  padding: 100px 0;
  position: relative;
  background-size: cover;
  background-attachment: fixed;
  background-repeat: no-repeat;
}
.UI-Parallax__content {
  z-index: 1;
  position: relative;
}
.UI-Parallax::after {
  position: absolute;
  content: "";
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 0;
  background: rgba(0, 0, 0, 0.8);
}
.UI-Parallax :global(.Arrow),
.UI-Parallax :global(.SlickArrow) {
  --border: white !important;
}
.UI-Parallax :global(.Arrow) :global(i),
.UI-Parallax :global(.SlickArrow) :global(i) {
  color: white !important;
}
.UI-Parallax :global(.UI-VideoPremium) {
  --ui-dark: white;
}</style>
